<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: admin_settings.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Roadmap;

class RoadmapSettings extends RoadmapServer {
    private static $instance = NULL;

    public function __construct() {
        parent::__construct();
    }

    public static function getInstance() {
        if ( self::$instance == NULL ) {
            self::$instance = new static();
        }
        return self::$instance;
    }

    public function startAdmin() {
        if ( check_post( 'savesettings' ) ) {
			$savesettings = [
				'roadmap_pagination' => sanitizer( 'roadmap_pagination', 0, 'roadmap_pagination' ),
				'roadmap_submission' => sanitizer( 'roadmap_submission', 0, 'roadmap_submission' ),
				'roadmap_access'     => sanitizer( ['roadmap_access'], 0, 'roadmap_access' )
			];

            if ( fusion_safe() ) {
                foreach ( $savesettings as $settings_name => $settings_value ) {
                    $inputSettings = [
                        'settings_name'  => $settings_name,
                        'settings_value' => $settings_value,
                        'settings_inf'   => ROADMAP_FOLDER
                    ];
                    dbquery_insert( DB_SETTINGS_INF, $inputSettings, 'update', ['primary_key' => 'settings_name'] );
                }
                addnotice( 'success', self::$locale['SUG_070'] );
                redirect( clean_request( '', ['section', 'aid'], TRUE ) );
            }
        }

        opentable( self::$locale['SUG_M4'] );
        echo openform( 'settingsform', 'post', FUSION_REQUEST );
        echo "<p>" . self::$locale['SUG_071'] . "</p>";
        openside( ' ' );
        echo form_select( 'roadmap_access[]', self::$locale['submit_access'], $this->rmpSettings['roadmap_access'], [
            'required' => TRUE,
            'options'  => fusion_get_groups( [USER_LEVEL_PUBLIC] ),
            'multiple' => TRUE
        ] );
        echo form_text( 'roadmap_pagination', self::$locale['SUG_072'], $this->rmpSettings['roadmap_pagination'], [
            'required'    => TRUE,
            'number'      => TRUE,
            'max_length'  => 4,
            'type'        => 'number',
            'inner_width' => '150px'
        ] );
        echo form_checkbox( 'roadmap_submission', self::$locale['SUG_073'], $this->rmpSettings['roadmap_submission'], [
            'toggle' => TRUE
        ] );
        closeside();
        echo form_button( 'savesettings', self::$locale['save'], self::$locale['save'], ['class' => 'btn-success', 'icon' => 'fa fa-hdd-o'] );
        echo closeform();
        closetable();
    }
}
