<?php
namespace PHPFusion\Roadmap;

class RoadmapSql {

    public function getRpmQuery() {
        return "SELECT
            IF(SUM(item_status=0)>0, SUM(item_status=0), 0) AS status0,
            IF(SUM(item_status=1)>0, SUM(item_status=1), 0) AS status1,
            IF(SUM(item_status=2)>0, SUM(item_status=2), 0) AS status2,
            IF(SUM(item_status=3)>0, SUM(item_status=3), 0) AS status3,
            IF(SUM(item_status=4)>0, SUM(item_status=4), 0) AS status4,
            IF(SUM(item_status=5)>0, SUM(item_status=5), 0) AS status5,
            IF(SUM(item_status=6)>0, SUM(item_status=6), 0) AS status6
            FROM " . DB_ROADMAP . "
            " . ( multilang_table( "RMP" ) ? "WHERE " . in_group( 'item_language', LANGUAGE ) : '' ) . "
        ";
    }

    public function getdefQuery(array $filters = []) {
        return "SELECT trm.*, tu.user_id, tu.user_name, tu.user_status, ta.user_id as uid, ta.user_name as uname, ta.user_status as ustatus,
            (SELECT COUNT(ad.comment_id) FROM ".DB_COMMENTS." AS ad WHERE ad.comment_item_id = trm.item_id AND ad.comment_type = 'RMP') AS comments_count
            FROM ".DB_ROADMAP." AS trm
            LEFT JOIN ".DB_USERS." AS tu ON trm.item_user=tu.user_id
            LEFT JOIN ".DB_USERS." AS ta ON trm.item_assigned=ta.user_id
            ".(!empty($filters['condition']) ? 'WHERE '.$filters['condition'] : '')."
            GROUP BY item_id
            ".(!empty($filters['order']) ? 'ORDER BY '.$filters['order'] : '')."
            ".(!empty($filters['limit']) ? 'LIMIT '.$filters['limit'] : '')."
        ";
    }

    public function getAssigUserQuery() {
        return "SELECT user_id, user_name
            FROM ".DB_USERS."
            WHERE user_status = 0
            ORDER BY user_name ASC
        ";
    }
}
