<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Core Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$locale = fusion_get_locale( '', ROADMAP_LOCALE );

// Infusion Information
$inf_title = $locale['RMP_000'];
$inf_description = $locale['RMP_001'];
$inf_version = "1.0.0";
$inf_developer = "karrak";
$inf_email = "admin@fusionhu.com";
$inf_weburl = "https://fusionhu.com";
$inf_folder = ROADMAP_FOLDER;
$inf_image = "roadmap.svg";

$inf_newtable[] = DB_ROADMAP . " (
    item_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
    item_user MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	item_subject VARCHAR(200) NOT NULL DEFAULT '',
	item_description TEXT NOT NULL,
    item_category INT(10) NOT NULL DEFAULT '0',
    item_type TINYINT(1) NOT NULL DEFAULT '0',
	item_priority TINYINT(1) NOT NULL DEFAULT '0',
	item_version VARCHAR(10) NOT NULL DEFAULT '',
	item_assigned MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
	item_status TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	item_published TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	item_note TEXT NOT NULL,
	item_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
    item_progress INT(10) UNSIGNED NOT NULL DEFAULT '0',
    item_reads INT(10) UNSIGNED NOT NULL DEFAULT '0',
	item_updated INT(10) UNSIGNED DEFAULT '0',
    item_access VARCHAR(50) NOT NULL DEFAULT '0',
    item_download VARCHAR(150) NOT NULL DEFAULT '',
    item_download_count INT(10) UNSIGNED NOT NULL DEFAULT '0',
    item_language VARCHAR(50) NOT NULL DEFAULT '" . LANGUAGE . "',
	PRIMARY KEY (item_id),
	KEY item_version (item_version)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci";

// Insert settings
$settings = [
    'roadmap_pagination' => 15,
    'roadmap_submission' => 1,
    'roadmap_access'     => USER_LEVEL_MEMBER
];

foreach ( $settings as $name => $value ) {
    $inf_insertdbrow[] = DB_SETTINGS_INF . " (settings_name, settings_value, settings_inf) VALUES ('" . $name . "', '" . $value . "', '" . $inf_folder . "')";
}

$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "RMP"
];

$enabled_languages = makefilelist( LOCALE, ".|..", TRUE, "folders" );
if ( !empty( $enabled_languages ) ) {
    foreach( $enabled_languages as $language ) {
        if ( file_exists( ROADMAP_PATH . '/locale/' . $language . '/roadmap.php' ) ) {
            include ROADMAP_PATH . '/locale/' . $language . '/roadmap.php';
        } else {
            include ROADMAP_PATH . '/locale/English/roadmap.php';
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "RMP",
            'image'    => $inf_image,
            'title'    => $locale['RMP_002'],
            'panel'    => "roadmap_admin.php",
            'page'     => 5,
            'language' => $language
        ];

        $mlt_insertdbrow[$language][] = DB_SITE_LINKS . " (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES ('" . $locale['RMP_003'] . "', 'infusions/" . $inf_folder . "/roadmap.php', '" . USER_LEVEL_PUBLIC . "', '1', '0', '2', '1', '" . $language . "')";

        $mlt_deldbrow[$language][] = DB_SITE_LINKS . " WHERE link_url = 'infusions/" . $inf_folder . "/roadmap.php' AND link_language = '" . $language . "'";
		$mlt_deldbrow[$language][] = DB_ROADMAP . " WHERE item_language = '" . $language . "'";
        $mlt_deldbrow[$language][] = DB_ADMIN . " WHERE admin_rights = 'RMP' AND admin_language = '" . $language . "'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "RMP",
        'image'    => $inf_image,
        'title'    => $locale['RMP_002'],
        'panel'    => "roadmap_admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];
    $inf_insertdbrow[] = DB_SITE_LINKS . " (link_name, link_url, link_visibility, link_position, link_window, link_order, link_status, link_language) VALUES('" . $locale['RMP_003'] . "', 'infusions/" . $inf_folder . "/roadmap.php', '" . USER_LEVEL_PUBLIC . "', '2', '0', '2', '1', '" . LANGUAGE . "')";
}

$inf_droptable[] = DB_ROADMAP;
$inf_deldbrow[] = DB_ADMIN . " WHERE admin_rights = 'RMP'";
$inf_deldbrow[] = DB_COMMENTS . " WHERE comment_type = 'RMP'";
$inf_deldbrow[] = DB_SETTINGS_INF . " WHERE settings_inf = '" . $inf_folder . "'";
$inf_deldbrow[] = DB_SITE_LINKS . " WHERE link_url = 'infusions/" . $inf_folder . "/roadmap.php'";
$inf_deldbrow[] = DB_SUBMISSIONS . " WHERE submit_type = 'r'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES . " WHERE mlt_rights = 'RMP'";
