<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: Core Development Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

use PHPFusion\Admins;

// inf folder
const ROADMAP_FOLDER = 'my_roadmap';

// Paths
const ROADMAP_PATH = INFUSIONS . ROADMAP_FOLDER . '/';
const ROADMAP_FILES = ROADMAP_PATH . "files/";

// Locales
define( 'ROADMAP_LOCALE', fusion_get_inf_locale_path( 'roadmap.php', ROADMAP_PATH . 'locale/' ) );

// Database
const DB_ROADMAP = DB_PREFIX . 'roadmap';

// Admin Settings
Admins::getInstance()->setAdminPageIcons( "RMP", "<i class='admin-ico fa fa-fw fa-book'></i>" );
Admins::getInstance()->setCommentType( "RMP", fusion_get_locale( "RMP", ROADMAP_LOCALE ) );

$inf_settings = get_settings( ROADMAP_FOLDER );
if ( !empty( $inf_settings['roadmap_submission'] ) && checkgroup( $inf_settings['roadmap_access'] ) ) {
    Admins::getInstance()->setSubmitData( 'r', [
        'infusion_name' => ROADMAP_FOLDER,
        'link'          => ROADMAP_PATH . "submit.php",
        'submit_link'   => "submit.php?stype=r",
        'submit_locale' => fusion_get_locale( 'RMP', ROADMAP_LOCALE ),
        'title'         => fusion_get_locale( 'roadmap_submit', ROADMAP_LOCALE ),
        'admin_link'    => ROADMAP_PATH . "roadmap_admin.php" . fusion_get_aidlink() . "&section=submissions&submit_id=%s"
    ] );
}
