<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: roadmap_rewrite_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

$regex = [
    "%item_id%"      => "([1-9]{1}[0-9]*)",
    "%item_subject%" => "([0-9a-zA-Z._\W]+)",
    "%rowstart%"     => "([0-9]+)",
    "%action%"       => "(view|edit|delete)",
    "%section%"      => "(empty|new|investigation|rejected|accepted|development|finished)",
    "%stype%"        => "(r)"
];

$pattern = [
    "roadmap-submit"                                             => "infusions/my_roadmap/submit.php",
    "roadmap-submit-%stype%"                                     => "submit.php?stype=%stype%",
    "roadmap-submit-%stype%/submitted-and-thank-you"             => "submit.php?stype=%stype%&amp;submitted=r",
    "roadmap-%section%/rows-%rowstart%"                          => "infusions/my_roadmap/roadmap.php?section=%section%&amp;rowstart=%rowstart%",
    "roadmap-%section%-action-%action%-%item_id%-%item_subject%" => "infusions/my_roadmap/roadmap.php?section=%section%&amp;action=%action%&amp;item_id=%item_id%",
    "roadmap/%section%"                                          => "infusions/my_roadmap/roadmap.php?section=%section%",
    "roadmap/rowstart/%rowstart%"                                => "infusions/my_roadmap/roadmap.php?rows=%rowstart%",
    "roadmap"                                                    => "infusions/my_roadmap/roadmap.php"
];

$pattern_tables["%item_id%"] = [
    "table"       => DB_ROADMAP,
    "primary_key" => "item_id",
    "id"          => ["%item_id%" => "item_id"],
    "columns"     => [
        "%item_subject%" => "item_subject"
    ]
];
