<?php
namespace PHPFusion\Roadmap;
require_once __DIR__ . '/../../maincore.php';

require_once FUSION_ADMIN_HEADER;
require_once ROADMAP_PATH . "autoload.php";
class RmpAdmin extends RoadmapServer {
    private $allowed_section = ['settings', 'submissions'];

    public function __construct() {
        parent::__construct();
        pageAccess( 'RMP' );
        add_breadcrumb( ['link'  => ROADMAP_PATH . 'roadmap_admin.php' . fusion_get_aidlink(), 'title' => self::$locale['RMP_002']] );
    }

    public function display_admin() {
        add_to_title( self::$locale['RMP_002'] );
        opentable( self::$locale['RMP_010'] );

        $sections = check_get( 'section' ) && in_array( get( 'section' ), $this->allowed_section ) ? get( 'section' ) : $this->allowed_section[0];
        $submissions = dbcount( '(submit_id)', DB_SUBMISSIONS, "submit_type = 'r'" );
        if ( $submissions ) {
            addnotice( "info", sprintf( self::$locale['RMP_011'], format_word( $submissions, self::$locale['fmt_submission'] ) ) );
        }

        $tab = [
            'title' => [self::$locale['RMP_M0'], self::$locale['RMP_M1'] . '<span class="badge">' . $submissions . '</span>'],
            'id'    => $this->allowed_section,
            'icon'  => ['fa fa-cogs', 'fa fa-inbox']
        ];

        echo opentab( $tab, $sections, 'suggestion_admin', TRUE, '', 'section', ['action', 'item_id', 'rowstart', 'submit_id'] );
        switch ( $sections ) {
            case 'submissions':
                //\PHPFusion\Roadmap\AdminSubmit::getInstance()->startAdmin();
                break;
            default:
                \PHPFusion\Roadmap\RoadmapSettings::getInstance()->startAdmin();
        }
        echo closetab();
        closetable();
    }
}
$roadmap = new RmpAdmin();
$roadmap->display_admin();
require_once FUSION_FOOTER;
