<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: search_roadmap_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Search;

use PHPFusion\ImageRepo;

defined( 'IN_FUSION' ) || exit;

if ( defined( 'MY_ROADMAP_EXIST' ) ) {

    if ( Search_Engine::get_param( 'stype' ) == 'roadmap' || Search_Engine::get_param( 'stype' ) == 'all' ) {

        $locale = fusion_get_locale( '', INFUSIONS . "my_roadmap/locale/" . LOCALESET . "search/roadmap.php" );
        $formatted_result = '';
        $item_count = "0 " . $locale['rm402'] . " " . $locale['522'] . "<br />\n";

        $sort_by = [
            'datestamp' => "item_datestamp",
            'subject'   => "item_subject",
        ];
        $order_by = [
            '0' => ' DESC',
            '1' => ' ASC',
        ];
        $sortby = !empty( Search_Engine::get_param( 'sort' ) ) ? " ORDER BY " . $sort_by[Search_Engine::get_param( 'sort' )] . $order_by[Search_Engine::get_param( 'order' )] : '';
        $limit = ( Search_Engine::get_param( 'stype' ) != "all" ? " LIMIT " . Search_Engine::get_param( 'rowstart' ) . ",10" : "" );
        $date_search = ( Search_Engine::get_param( 'datelimit' ) != 0 && isnum( Search_Engine::get_param( 'datelimit' ) ) ? ' AND item_datestamp >= ' . ( time() - Search_Engine::get_param( 'datelimit' ) ) : '' );

        switch ( Search_Engine::get_param( 'fields' ) ) {
            case 2:
                Search_Engine::search_column( 'item_subject', 'roadmap' );
                Search_Engine::search_column( 'item_description', 'roadmap' );
                Search_Engine::search_column( 'item_version', 'roadmap' );
                break;
            case 1:
                Search_Engine::search_column( 'item_subject', 'roadmap' );
                Search_Engine::search_column( 'item_description', 'roadmap' );
                break;
            default:
                Search_Engine::search_column( 'item_subject', 'roadmap' );
        }

        $query = '';

        if ( !empty( Search_Engine::get_param( 'search_param' ) ) ) {

            $query = "SELECT ta.*, u.user_id, u.user_name, u.user_status, u.user_level, u.user_avatar
            FROM " . DB_ROADMAP . " AS ta
            INNER JOIN " . DB_USERS . " AS u ON ta.item_user = u.user_id
            ". ( multilang_table( 'RMP' ) ? "WHERE " . in_group( 'ta.item_language', LANGUAGE ) . "AND " : "WHERE " )
                . Search_Engine::search_conditions( 'roadmap' )
                .$date_search;
            $result = dbquery( $query . " LIMIT 100", Search_Engine::get_param( 'search_param' ) );

            $rows = dbrows( $result );
        } else {
            $rows = 0;
        }
        if ($rows != 0) {
        print_p($result);
            $item_count = "<a href='" . BASEDIR . "search.php?stype=roadmap&amp;stext=" . Search_Engine::get_param( 'stext' ) . "&amp;" . Search_Engine::get_param( 'composevars' ) . "'>" . $rows . " " . ( $rows == 1 ? $locale['rm401'] : $locale['rm402'] ) . " " . $locale['522'] . "</a><br />\n";

            $result = dbquery( $query . $date_search . $sortby . $limit, Search_Engine::get_param( 'search_param' ) );

            $search_result = '';
            while ( $data = dbarray( $result ) ) {
                $data['item_subject'] = strip_tags( htmlspecialchars_decode( $data['item_subject'] ) );
                $data['item_description'] = strip_tags( htmlspecialchars_decode( $data['item_description'] ) );
                $text_all = Search_Engine::search_striphtmlbbcodes( $data['item_subject'] . " " . $data['item_description'] );
                $text_frag = Search_Engine::search_textfrag( $text_all );
                $subj_c = Search_Engine::search_stringscount( $data['item_subject'] );
                $text_c = Search_Engine::search_stringscount( $data['item_subject'] . " " . $data['item_description'] );

                $context = "<div class='quote' style='width:auto;height:auto;overflow:auto'>" . $text_frag . "</div><br />";

                $meta = "<span class='small2'>" . $locale['global_070'] . profile_link( $data['user_id'], $data['user_name'], $data['user_status'] ) . "\n";
                $meta .= $locale['global_071'] . showdate( "longdate", $data['item_datestamp']) . "</span><br />\n";

                $criteria = "<span class='small'>" . $subj_c . " " . ( $subj_c == 1 ? $locale['520'] : $locale['521'] ) . " " . $locale['522'] . " " . $locale['rm404'] . ", ";
                $criteria .= $text_c . " " . ( $text_c == 1 ? $locale['520'] : $locale['521'] ) . " " . $locale['522'] . " " . $locale['rm405'] . "</span>";

                $search_result .= render_search_item_list([
                    'item_url'             => INFUSIONS . "my_roadmap/roadmap.php?action=view&item_id=" . $data['item_id'],
                    'item_image'           => '',
                    'item_title'           => $data['item_subject'],
                    'item_description'     => $meta,
                    'item_search_criteria' => $criteria,
                    'item_search_context'  => $context
                ]);
            }

            // Pass strings for theme developers
            $formatted_result = render_search_item_wrapper( [
                'image'          => "<img src='" . ImageRepo::getimage( 'ac_A' ) . "' alt='" . $locale['rm400'] . "' style='width:32px;'/>",
                'icon_class'     => "fa fa-book fa-lg fa-fw",
                'search_title'   => $locale['rm400'],
                'search_result'  => $item_count,
                'search_content' => $search_result
            ] );
        }

        Search_Engine::search_navigation( $rows );
        Search_Engine::search_globalarray( $formatted_result );
        Search_Engine::append_item_count( $item_count );
    }
}
