<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: roadmap.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

if ( !function_exists( "roadmap" ) ) {
    function roadmap( $info ) {
        opentable( $info['tablename'] );
        if ( !empty( $info['submit'] ) ) {
                roadmap_submit();
        }
        openside( $info['sidename'] );
        roadmap_menu( $info['menu'] );
        if ( !empty( $info['view'] ) ) {
            roadmapView( $info['view'] );
        }
        if ( !empty( $info['edit'] ) ) {
            roadmapEdit( $info['edit'] );
        }
        if ( !empty( $info['rmdata']['pagedata'] ) ) {
            roadmapData( $info['rmdata']['pagedata'] );
        }
        if ( !empty( $info['rmdata']['nopage'] ) ) {
            echo "<div class='well text-center'>" . $info['rmdata']['nopage'] . "</div>";
        }
        closeside();
        if ( !empty( $info['rmdata']['pagenav'] ) ) {
            echo "<div class='text-center m-t-10 m-b-10'>" . $info['rmdata']['pagenav'] . "</div>";
        }
        closetable();
    }
}

if ( !function_exists( "roadmapData" ) ) {
    function roadmapData( $info ) {
        $locale = fusion_get_locale();
        if ( $info ) {
            echo "<div class='table-responsive'>
               <table class='table table-striped'>
                    <thead>
                        <tr>
                            <th>" . $locale['RMP_014'] . "</th>
                            <th>" . $locale['RMP_050'] . "</th>
                            <th>" . $locale['RMP_017'] . "</th>
                            <th>" . $locale['RMP_051'] . "</th>
                            <th>" . $locale['RMP_052'] . "</th>
                        </tr>
                    </thead>
                    <tbody>";
                    foreach ( $info as $menu ) {
                        echo "<tr>
                            <td><a href=" . $menu['sectionlink'] . ">" . $menu['title'] . "</a> ( " . $menu['count'] . " )";
                                if ( !empty( $menu['updated'] ) ) {
                                    echo $menu['updated'];
                                }
                            echo "</td>
                            <td>" . $menu['avatar'] . $menu['datestamp'] . "</td>
                            <td>" . $menu['category'] . "</td>
                            <td>" . $menu['reads'] . "</td>
                            <td>" . $menu['assigned'] . "</td>
                        </tr>";
                    }
                    echo "</tbody>
                </table>
            </div>";
        } else {
            echo "<div class='well text-center'>" . $locale['RMP_039'] . "</div>";
        }
    }
}

if ( !function_exists( "roadmapView" ) ) {
    function roadmapView( $info ) {
        $locale = fusion_get_locale();
        opentable( $info['subject'] );
        echo "<div class='table-responsive'>
            <table class='table table-hover table-striped'>
                <tr>
                    <td class='text-right'>" . $locale['RMP_015'] . "</td>
                    <td>" . $info['version'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_050'] . "</td>
                    <td>" . $info['avatar'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_053'] . "</td>
                    <td>" . $info['datestamp'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_016'] . "</td>
                    <td>" . $info['assigned'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_017'] . "</td>
                    <td>" . $info['category'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_019'] . "</td>
                    <td>" . $info['priority'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_018'] . "</td>
                    <td>" . $info['type'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_051'] . "</td>
                    <td>" . $info['reads'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_020'] . "</td>
                    <td>" . $info['progress'] . "</td>
                </tr>";
                if ( $info['download'] ) {
                    echo "<tr>
                        <td class='text-right'>" . $locale['RMP_054'] . "</td>
                        <td><a href='" . $info['download'] . "' target='blank' class='btn btn-success btn-md'>" . $locale['RMP_054'] . " <i class='fa fa-download'></i></a></td>
                    </tr>
                    <tr>
                        <td class='text-right'>" . $locale['RMP_055'] . "</td>
                        <td>" . sprintf( $locale['RMP_056'], $info['download_count'] ) . "</td>
                    </tr>";
                }
                echo "<tr>
                    <td class='text-right'>" . $locale['RMP_023'] . "</td>
                    <td>" . $info['description'] . "</td>
                </tr>
                <tr>
                    <td class='text-right'>" . $locale['RMP_057'] . "</td>
                    <td>" . $info['published'] . "</td>
                </tr>
            </table>
        </div>";
        if ( iADMIN ) {
            echo "<div class='text-center'><a class='btn btn-primary' role='button' href='" . $info['link'] . "'>" . $locale['edit'] . "</a>
            <a class='btn btn-danger' role='button' href='" . $info['dellink'] . "' onclick=\"return confirm('" . $locale['RMP_058'] . "');\">" . $locale['delete'] . "</a></div>";
        }
        echo $info['comments'];
        openside( $locale['RMP_059'] );
        echo !empty( $info['note'] ) ? $info['note'] : "<div class='text-center well'>" . $locale['RMP_060'] . "</div>";
        closeside();
        closetable();
    }
}

if ( !function_exists( "roadmapEdit" ) ) {
    function roadmapEdit( $info ) {
        $locale = fusion_get_locale();
        if ( iMEMBER ) {
            if ( $info ) {
                opentable( $info['opentable'] );
                echo "<div class='form-group row'>
                    <div class='col-xs-12 col-sm-12 col-md-3 col-lg-3 m-b-15'><strong>" . $locale['RMP_050'] . "</strong></div>
                    <div class='col-xs-12 col-sm-12 col-md-9 col-lg-9 m-b-15'>" . $info['profile'] . "</div>
                    <div class='col-xs-12 col-sm-12 col-md-3 col-lg-3'><strong>" . $locale['RMP_053'] . "</strong></div>
                    <div class='col-xs-12 col-sm-12 col-md-9 col-lg-9'>" . $info['datestamp'] . "</div>
                </div>";
                echo $info['openform'] .
                $info['item_id'] .
                $info['item_subject'] .
                $info['item_version'] .
                $info['item_assigned'] .
                $info['item_category'] .
                $info['item_type'] .
                $info['item_priority'] .
                $info['item_status'] .
                $info['item_progress'] .
                $info['item_access'] .
                $info['item_download'] .
                $info['item_description'] .
                $info['item_published'] .
                $info['savebtn'] .
                $info['closeform'];
                closetable();
            }
        }
    }
}

if ( !function_exists( "roadmap_menu" ) ) {
    function roadmap_menu( $info ) {
        echo "<div class='table-responsive'>
            <table class='table'>
                <tbody>
                <tr>";
                foreach ( $info as $menu ) {
                    echo $menu;
                }
                echo "</tr>
                </tbody>
            </table>
        </div>";
    }
}

if ( !function_exists( "roadmap_submit" ) ) {
    function roadmap_submit() {
        $locale = fusion_get_locale();
        if ( iMEMBER ) {
            echo "<div class='clearfix'>";
                echo "<div class='pull-right m-b-20'>";
                    echo "<a class='btn btn-primary' role='button' href='" . ROADMAP_PATH . "submit.php'>" . $locale['RMP_061'] . "</a>";
                echo "</div>";
            echo "</div>";
        }
    }
}

if ( !function_exists( "roadmapSubmit" ) ) {
    function roadmapSubmit( $info ) {
        opentable( $info['opentable'] );
        if ( iMEMBER ) {
            echo "<div class='well text-center'>
                <i class='fa fa-upload fa-2x text-success m-r-10'></i>" . $info['subject'] . "
            </div>";
            echo $info['openform'] .
            $info['item_subject'] .
            $info['item_type'] .
            $info['item_category'] .
            $info['item_priority'] .
            $info['item_language'] .
            $info['item_description'] .
            $info['button'] .
            $info['closeform'];
        } else {
            echo "<div class='well text-center'><i class='fa fa-hand-paper fa-2x text-danger m-r-10'></i>" . $info['no_submissions'] . "</div>";
        }
        closetable();
    }
}
